package com.confidosoft.health_kit

import com.google.android.gms.fitness.data.DataType

// Created by Rashmi Tank on 2021-04-27.

/**
 * Creates Sample or Activity class based on DataType
 *
 * @property dataType
 */
sealed class Type(val dataType: DataType) {
    class Sample(dataType: DataType) : Type(dataType)
    class Activity(val activity: String) : Type(DataType.TYPE_ACTIVITY_SEGMENT)
}